package com.kuyuntech.cofarcooking.device.sdk.eventbus.listener;

import com.kuyuntech.cofarcooking.device.sdk.eventbus.event.Dev2McuDataDevEvent;
import com.kuyuntech.cofarcooking.device.sdk.eventbus.event.Dev2McuDataEvent;
import org.greenrobot.eventbus.Subscribe;


public class Dev2McuDevEventListener {

    private final Callback callback;

    public interface Callback{
        void onDev2McuEvent(Dev2McuDataDevEvent event);
    }

    public Dev2McuDevEventListener(Callback callback){
        this.callback = callback;
    }

    @Subscribe
    public void onDev2McuEvent(Dev2McuDataDevEvent event){
        callback.onDev2McuEvent(event);
    }

}



